/* Custom container */

/*
 * custmized css for jekyl-bootstrap
-------------------------------------------------- */

/* posts index */
.post > h3.title {
  position: relative;
  padding-top: 10px; }

.post > h3.title span.date {
  position: absolute;
  right: 0;
  font-size: 0.9em; }

.post > .more {
  margin: 10px 0;
  text-align: left; }

/* page-header*/
.page-header .meta {
  color: #93908D;
}
.page-header > h1 > a {
  color: black;
}

/* tag_box */
.tag_box {
  list-style: none;
  margin: 0;
  overflow: hidden; }

.tag_box li {
  line-height: 28px; }

.tag_box li i {
  opacity: 0.9; }

.tag_box.inline li {
  float: left; }

.tag_box a {
  padding: 3px 6px;
  margin: 2px;
  background: #eee;
  color: #555;
  border-radius: 3px;
  text-decoration: none;
  border: 1px dashed #cccccc; }

.tag_box a span {
  vertical-align: super;
  font-size: 0.8em; }

.tag_box a:hover {
  background-color: #e5e5e5; }

.tag_box a.active {
  background: #57A957;
  border: 1px solid #4c964d;
  color: #FFF; }

/*
 *
 * Side navigation
 *
 * Customized format for sidenav.
 * learned from:
 * http://getbootstrap.com/getting-started/
 * original file:
 * https://github.com/twbs/bootstrap/blob/master/docs/assets/css/src/docs.css#L548
 *
 * Scrollspy and affixed enhanced navigation to highlight sections and secondary
 * sections of docs content.
-------------------------------------------------- */

/* dummy for top nav */
.bs-docs-bar-top {

}

/* dummy for footedummy for footerr*/
.bs-docs-bar-footer {
    text-align: center;
}

/* By default it's not affixed in mobile views, so undo that */
.bs-docs-sidebar.affix {
  position: static;
}
@media (min-width: 768px) {
  .bs-docs-sidebar {
    /*padding-left: 20px;*/
  }
}

/* First level of nav */
.bs-docs-sidenav {
  margin-top: 20px;
  margin-bottom: 20px;
}

/* All levels of nav */
.bs-docs-sidebar .nav > li > a {
  display: block;
  padding: 4px 20px;
  font-size: 17px;
  font-weight: bold;
  color: #767676;
  /*no wrap*/
  overflow:hidden;
  white-space:nowrap;
  text-overflow:ellipsis
}
.bs-docs-sidebar .nav > li > a:hover,
.bs-docs-sidebar .nav > li > a:focus {
  padding-left: 19px;
  color: #563d7c;
  text-decoration: none;
  background-color: transparent;
  border-left: 1px solid #563d7c;
}
.bs-docs-sidebar .nav > .active > a,
.bs-docs-sidebar .nav > .active:hover > a,
.bs-docs-sidebar .nav > .active:focus > a {
  padding-left: 18px;
  font-weight: bold;
  color: red;
  background-color: transparent;
  border-left: 2px solid #563d7c;
}

/* Nav: second level (shown on .active) */
.bs-docs-sidebar .nav .nav {
  /* display: none; Hide by default, but at >768px, show it */
  /* padding-bottom: 10px; */
}
.bs-docs-sidebar .nav .nav > li > a {
  padding-top: 1px;
  padding-bottom: 1px;
  padding-left: 30px;
  font-size: 16px;
  font-weight: normal;
}
.bs-docs-sidebar .nav .nav > li > a:hover,
.bs-docs-sidebar .nav .nav > li > a:focus {
  padding-left: 29px;
}
.bs-docs-sidebar .nav .nav > .active > a,
.bs-docs-sidebar .nav .nav > .active:hover > a,
.bs-docs-sidebar .nav .nav > .active:focus > a {
  padding-left: 28px;
  font-weight: bold;
  color: red;
}

/* Nav: 3rd level (shown on .active) */
.bs-docs-sidebar .nav .nav .nav {
  /*display: none;  Hide by default, but at >768px, show it */
  /* padding-bottom: 10px;*/
}
.bs-docs-sidebar .nav .nav .nav > li > a {
  padding-top: 1px;
  padding-bottom: 1px;
  padding-left: 40px;
  font-size: 15px;
  font-weight: normal;
}
.bs-docs-sidebar .nav .nav .nav > li > a:hover,
.bs-docs-sidebar .nav .nav .nav > li > a:focus {
  padding-left: 39px;
}
.bs-docs-sidebar .nav .nav .nav > .active > a,
.bs-docs-sidebar .nav .nav .nav > .active:hover > a,
.bs-docs-sidebar .nav .nav .nav > .active:focus > a {
  padding-left: 38px;
  font-weight: bold;
  color: red;
}

/* Back to top (hidden on mobile) */
.back-to-top,
.bs-docs-theme-toggle {
  display: none;
  padding: 4px 10px;
  margin-top: 10px;
  margin-left: 10px;
  font-size: 17px;
  font-weight: 500;
  color: #999;
}
.back-to-top:hover,
.bs-docs-theme-toggle:hover {
  color: #563d7c;
  text-decoration: none;
}
.bs-docs-theme-toggle {
  margin-top: 0;
}

@media (min-width: 768px) {
  .back-to-top,
  .bs-docs-theme-toggle {
    display: block;
  }
}

/* Show and affix the side nav when space allows it */
@media (min-width: 992px) {
  .bs-docs-sidebar .nav > .active > ul {
    display: block;
  }
  /* Widen the fixed sidebar */
  .bs-docs-sidebar.affix,
  .bs-docs-sidebar.affix-bottom {
    width: 213px;
  }
  .bs-docs-sidebar.affix {
    position: fixed; /* Undo the static from mobile first approach */
    top: 50px;
  }
  .bs-docs-sidebar.affix-bottom {
    position: absolute; /* Undo the static from mobile first approach */
  }
  .bs-docs-sidebar.affix-bottom .bs-docs-sidenav,
  .bs-docs-sidebar.affix .bs-docs-sidenav {
    margin-top: 50;
    margin-bottom: 0;
  }
}
@media (min-width: 1200px) {
  /* Widen the fixed sidebar again */
  .bs-docs-sidebar.affix-bottom,
  .bs-docs-sidebar.affix {
    width: 263px;
  }
}


/*
 * Docs sections
 *
 * Content blocks for each component or feature.
-------------------------------------------------- */

/* Space things out */
.bs-docs-section {
  margin-bottom: 60px;
}
.bs-docs-section:last-child {
  margin-bottom: 0;
}


/* Sticky footer styles
-------------------------------------------------- */

html,
body {
  height: 100%;
  /* The html and body elements cannot have any padding or margin. */
}

/* Wrapper for page content to push down footer */
#wrap {
  min-height: 100%;
  height: auto;
  /* Negative indent footer by its height */
  margin: 0 auto -30px;
  /* Pad bottom by footer height */
  padding: 0 0 30px;
}

/* Set the fixed height of the footer here */
#footer {
  height: 30px;
  background-color: #f5f5f5;
}

#footer p {
  line-height: 30px;
  margin-bottom: 0px;
}

hr {
    border-top: 1px solid #aaa;
}

/*
 * Article Body part, most of them are generated in mardown.
 *
 * .bs-docs-container part, and markdown-body
 *
 * -------------------------------------------------------------------------*/


.markdown-body .tom-callout-tips {
  border: 3px solid #C0C0C0;
  border-left-width: 6px;
  border-left-color: #f0ad4e;
}



/*! normalize.css v3.0.1 | MIT License | git.io/normalize */
/* It is cut out from `https://assets-cdn.github.com/assets/github-07ee5f9b28252daadba7750d43951602b35cdaa9dc19b5aff2eececebd6b6627.css`.
 * I use it for my own github pages based wiki: http://www.thomaszhao.cn/
 * Thomas, 2015-01-15
 * --------------------------------------------------------------------------*/

.markdown-body{
  font-family:"Helvetica Neue", Helvetica, "Segoe UI", Arial, freesans, sans-serif;
  font-size:16px;
  line-height:1.6;
  word-wrap:break-word
}

.markdown-body>*:first-child{
  margin-top:0 !important
}

.markdown-body>*:last-child{
  margin-bottom:0 !important
}

.markdown-body .absent{
  color:#c00
}

.markdown-body .anchor{
  position:absolute;
  top:0;
  bottom:0;
  left:0;
  display:block;
  padding-right:6px;
  padding-left:30px;
  margin-left:-30px
}

.markdown-body .anchor:focus{
  outline:none
}

.markdown-body h1,.markdown-body h2,.markdown-body h3,.markdown-body h4,.markdown-body h5,.markdown-body h6{
  position:relative;
  margin-top:1em;
  margin-bottom:16px;
  font-weight:bold;
  line-height:1.4
}

.markdown-body h1 .glyphicon-link,.markdown-body h2 .glyphicon-link,.markdown-body h3 .glyphicon-link,.markdown-body h4 .glyphicon-link,.markdown-body h5 .glyphicon-link,.markdown-body h6 .glyphicon-link{
  display:none;
  color:#000;
  font-size:16px;
  vertical-align:middle
}

.markdown-body h1:hover .anchor,.markdown-body h2:hover .anchor,.markdown-body h3:hover .anchor,.markdown-body h4:hover .anchor,.markdown-body h5:hover .anchor,.markdown-body h6:hover .anchor{
  padding-left:8px;
  margin-left:-30px;
  line-height:1;
  text-decoration:none
}

.markdown-body h1:hover .anchor .glyphicon-link,.markdown-body h2:hover .anchor .glyphicon-link,.markdown-body h3:hover .anchor .glyphicon-link,.markdown-body h4:hover .anchor .glyphicon-link,.markdown-body h5:hover .anchor .glyphicon-link,.markdown-body h6:hover .anchor .glyphicon-link{
  display:inline-block
}

.markdown-body h1 tt,.markdown-body h1 code,.markdown-body h2 tt,.markdown-body h2 code,.markdown-body h3 tt,.markdown-body h3 code,.markdown-body h4 tt,.markdown-body h4 code,.markdown-body h5 tt,.markdown-body h5 code,.markdown-body h6 tt,.markdown-body h6 code{
  font-size:inherit
}

.markdown-body h1{
  padding-bottom:0.3em;
  font-size:2.25em;
  line-height:1.2;
  border-bottom:1px solid #eee
}

.markdown-body h2{
  padding-bottom:0.3em;
  font-size:1.75em;
  line-height:1.225;
  border-bottom:1px solid #eee
}

.markdown-body h3{
  font-size:1.5em;
  line-height:1.43
}

.markdown-body h4{
  font-size:1.25em
}

.markdown-body h5{
  font-size:1em
}

.markdown-body h6{
  font-size:1em;
  color:#777
}

.markdown-body p,.markdown-body blockquote,.markdown-body ul,.markdown-body ol,.markdown-body dl,.markdown-body table,.markdown-body pre{
  margin-top:0;
  margin-bottom:16px
}

.markdown-body hr{
  height:4px;
  padding:0;
  margin:16px 0;
  background-color:#e7e7e7;
  border:0 none
}

.markdown-body ul,.markdown-body ol{
  padding-left:2em
}

.markdown-body ul.no-list,.markdown-body ol.no-list{
  padding:0;
  list-style-type:none
}

.markdown-body ul ul,.markdown-body ul ol,.markdown-body ol ol,.markdown-body ol ul{
  margin-top:0;
  margin-bottom:0
}

.markdown-body li>p{
  margin-top:16px
}

.markdown-body dl{
  padding:0
}

.markdown-body dl dt{
  padding:0;
  margin-top:16px;
  font-size:1em;
  font-style:italic;
  font-weight:bold
}

.markdown-body dl dd{
  padding:0 16px;
  margin-bottom:16px
}

.markdown-body blockquote{
  padding:0 15px;
  color:#777;
  border-left:4px solid #ddd
}

.markdown-body blockquote>:first-child{
  margin-top:0
}

.markdown-body blockquote>:last-child{
  margin-bottom:0
}

.markdown-body table{
  display:block;
  width:100%;
  overflow:auto;
  word-break:normal;
  word-break:keep-all
}

.markdown-body table th{
  font-weight:bold
}

.markdown-body table th,.markdown-body table td{
  padding:6px 13px;
  border:1px solid #ddd
}

.markdown-body table tr{
  background-color:#fff;
  border-top:1px solid #ccc
}

.markdown-body table tr:nth-child(2n){
  background-color:#f8f8f8
}

.markdown-body img{
  max-width:100%;
  -moz-box-sizing:border-box;
  box-sizing:border-box
}

.markdown-body span.frame{
  display:block;
  overflow:hidden
}

.markdown-body span.frame>span{
  display:block;
  float:left;
  width:auto;
  padding:7px;
  margin:13px 0 0;
  overflow:hidden;
  border:1px solid #ddd
}

.markdown-body span.frame span img{
  display:block;
  float:left
}

.markdown-body span.frame span span{
  display:block;
  padding:5px 0 0;
  clear:both;
  color:#333
}

.markdown-body span.align-center{
  display:block;
  overflow:hidden;
  clear:both
}

.markdown-body span.align-center>span{
  display:block;
  margin:13px auto 0;
  overflow:hidden;
  text-align:center
}

.markdown-body span.align-center span img{
  margin:0 auto;
  text-align:center
}

.markdown-body span.align-right{
  display:block;
  overflow:hidden;
  clear:both
}

.markdown-body span.align-right>span{
  display:block;
  margin:13px 0 0;
  overflow:hidden;
  text-align:right
}

.markdown-body span.align-right span img{
  margin:0;
  text-align:right
}

.markdown-body span.float-left{
  display:block;
  float:left;
  margin-right:13px;
  overflow:hidden
}

.markdown-body span.float-left span{
  margin:13px 0 0
}

.markdown-body span.float-right{
  display:block;
  float:right;
  margin-left:13px;
  overflow:hidden
}

.markdown-body span.float-right>span{
  display:block;
  margin:13px auto 0;
  overflow:hidden;
  text-align:right
}

.markdown-body code,.markdown-body tt{
  padding:0;
  padding-top:0.2em;
  padding-bottom:0.2em;
  margin:0;
  font-size:85%;
  background-color:rgba(0,0,0,0.04);
  border-radius:3px
}

.markdown-body code:before,.markdown-body code:after,.markdown-body tt:before,.markdown-body tt:after{
  letter-spacing:-0.2em;
  content:"\00a0"
}

.markdown-body code br,.markdown-body tt br{
  display:none
}

.markdown-body del code{
  text-decoration:inherit
}

.markdown-body pre>code{
  padding:0;
  margin:0;
  font-size:100%;
  word-break:normal;
  white-space:pre;
  background:transparent;
  border:0
}

.markdown-body .highlight{
  margin-bottom:16px
}

.markdown-body .highlight pre,.markdown-body pre{
  padding:16px;
  overflow:auto;
  font-size:85%;
  line-height:1.45;
  background-color:#f7f7f7;
  border-radius:3px
}

.markdown-body .highlight pre{
  margin-bottom:0;
  word-break:normal
}

.markdown-body pre{
  word-wrap:normal;
}

.markdown-body pre code,.markdown-body pre tt{
  display:inline;
  max-width:initial;
  padding:0;
  margin:0;
  overflow:initial;
  line-height:inherit;
  word-wrap:normal;
  background-color:transparent;
  border:0
}

.markdown-body pre code:before,.markdown-body pre code:after,.markdown-body pre tt:before,.markdown-body pre tt:after{
  content:normal
}

.markdown-body .csv-data td,.markdown-body .csv-data th{
  padding:5px;
  overflow:hidden;
  font-size:12px;
  line-height:1;
  text-align:left;
  white-space:nowrap
}

.markdown-body .csv-data .blob-num{
  padding:10px 8px 9px;
  text-align:right;
  background:#fff;
  border:0
}

.markdown-body .csv-data tr{
  border-top:0
}

.markdown-body .csv-data th{
  font-weight:bold;
  background:#f8f8f8;
  border-top:0
}




